Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rtrep.v2
Class InvalidContextException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.ode.bpel.rtrep.v2.InvalidContextException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidContextException

extends java.lang.RuntimeException

Exception used by the runtime to indicate a problem with the execution context. This is for dealing with conditions where the runtime expects certain things of the context and the context does not oblige. These are what one might call "internal errors", for example if a message is received and it does not have the required parts, this execption is thrown, since the runtime expects received messages to be of the correct form.

See Also:
  Serialized Form

Constructor Summary
`InvalidContextException()`
`InvalidContextException(java.lang.String message)`
`InvalidContextException(java.lang.String message, java.lang.Throwable cause)`
`InvalidContextException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidContextException

    public InvalidContextException()

### InvalidContextException

    public InvalidContextException(java.lang.String message,
                                   java.lang.Throwable cause)

### InvalidContextException

    public InvalidContextException(java.lang.String message)

### InvalidContextException

    public InvalidContextException(java.lang.Throwable cause)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD